package com.benyun.core;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.benyun.core.dao.WdInfoDao;
import com.benyun.core.entity.WdInfo;
import com.benyun.core.service.WriteService;
import com.benyun.core.utils.WdRedisStoreage;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.geo.Point;
import org.springframework.data.redis.core.RedisTemplate;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Random;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;

@SpringBootTest
class BenyunCoreApplicationTests {
    @Autowired
    WdRedisStoreage wdRedisStoreage;

    @Autowired
    WdInfoDao wdInfoDao;

    @Autowired
    WriteService writeService;

    @Test
    void contextLoads() {
        wdRedisStoreage.writeWdGeoRedis();
    }

//    @Test
//    public void clearSql2() {
//        QueryWrapper<WdInfo> wdInfoOriginQueryWrapper = new QueryWrapper<>();
//        wdInfoOriginQueryWrapper.select("hash", "count(hash) as audit").groupBy("hash").having("count(hash) >= 2");
//        List<WdInfo> wdInfoOrigins = wdInfoDao.selectList(wdInfoOriginQueryWrapper);
//
//        HashMap<String, Integer> hashMap = new HashMap<>();
//        for (WdInfo wdInfo : wdInfoOrigins) {
//            hashMap.put(wdInfo.getHash(), wdInfo.getAudit());
//        }
//
//        List<String> wdId = new ArrayList<>();
//        List<String> storeId = new ArrayList<>();
//        List<String> houseId = new ArrayList<>();
//        List<String> buildId = new ArrayList<>();
//        List<String> trafficId = new ArrayList<>();
//        List<String> enterpriseId = new ArrayList<>();
//        int index = 1;
//        for (String s : hashMap.keySet()) {
//            QueryWrapper<WdInfo> queryWrapper = new QueryWrapper<>();
//            queryWrapper.eq("hash",s);
//            queryWrapper.orderByDesc("collect_time");
//            queryWrapper.last("limit " + (hashMap.get(s) - 1));
//            List<WdInfo> wdInfos = wdInfoDao.selectList(queryWrapper);
//            for (WdInfo wdInfo : wdInfos) {
//                wdId.add(wdInfo.getWdId());
//
//                switch (wdInfo.getWdTypeCode()){
//                    case "1":
//                        storeId.add(wdInfo.getWdId());
//                        break;
//                    case "2":
//                        houseId.add(wdInfo.getWdId());
//                        break;
//                    case "3":
//                        buildId.add(wdInfo.getWdId());
//                        break;
//                    case "4":
//                        trafficId.add(wdInfo.getWdId());
//                        break;
//                    case "5":
//                        enterpriseId.add(wdInfo.getWdId());
//                        break;
//                }
//                System.out.println("进度："+wdInfoOrigins.size()+"/"+index++);
//            }
//        }
//
//        //删除
//        writeService.clearSql2(wdId,storeId,houseId,buildId,trafficId,enterpriseId);
//    }

}
